Subject: Re: [Int-area] I-D Action: draft-ietf-intarea-gre-ipv6-11.txt

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 3 Aug 2015 16:07:17 +0000

I have a comment on this draft. In Section 3.2, it says:

  "However, a GRE ingress node can verify tunnel capabilities by sending
   a 1280-byte IPv6 packet addressed to itself through the tunnel under test."

This text is missing the point that the GRE ingress is only the source of
the delivery packet and is *not* the source of the payload packet.
This means that, if the 1280-byte probe packets take a different path
than the data packets, then the probes can fail to detect paths where
the MTU is insufficient.

In order to fix this, the GRE ingress would need to make all delivery
packets look the same to the network whether they carry probes
or data packets. This means that the procedures specified in  RFC2983
(diffserv and tunnels) and RFC6438 (flow label and tunnels) MUST be
disabled if the 1280 byte probing recommendation of this draft is
followed. By disabled, I mean set the DSCP and flow label in the
delivery header to 0. The draft can either say this and cite the RFCs,
or remove the recommendation for probing with 1280 byte probes.

Thanks - Fred
[email-masked]

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
> Sent: Sunday, July 19, 2015 10:10 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: I-D Action: draft-ietf-intarea-gre-ipv6-11.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>  This draft is a work item of the Internet Area Working Group Working Group of the IETF.
> 
>         Title           : IPv6 Support for Generic Routing Encapsulation (GRE)
>         Authors         : Carlos Pignataro
>                           Ron Bonica
>                           Suresh Krishnan
> 	Filename        : draft-ietf-intarea-gre-ipv6-11.txt
> 	Pages           : 10
> 	Date            : 2015-07-19
> 
> Abstract:
>    Generic Routing Encapsulation (GRE) can be used to carry any network-
>    layer payload protocol over any network-layer delivery protocol.  GRE
>    procedures are specified for IPv4, used as either the payload or
>    delivery protocol.  However, GRE procedures are not specified for
>    IPv6.
> 
>    This document specifies GRE procedures for IPv6, used as either the
>    payload or delivery protocol.  It updates the GRE specification, RFC
>    2784.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-intarea-gre-ipv6/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-ietf-intarea-gre-ipv6-11
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-intarea-gre-ipv6-11
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 7 Aug 2015 16:44:21 +0000

Hi, this comment has not been acknowledged nor addressed. Please acknowledge
and address.

Thanks - Fred

> From: Int-area [mailto:[email-masked]] On Behalf Of Templin, Fred L
> Sent: Monday, August 03, 2015 9:07 AM
> To: [email-masked]
> Subject: Re: [Int-area] I-D Action: draft-ietf-intarea-gre-ipv6-11.txt
> 
> Int-area mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/int-area

---

From: Tom Herbert <[email-masked]>
Date: Fri, 7 Aug 2015 10:04:19 -0700

> or remove the recommendation for probing with 1280 byte probes.
Fred,

I don't think your fix is sufficient. There are already deployed
devices that will parse the inner GRE headers to perform ECMP.
Generally, we can never guarantee that any two packets will follow the
same path through a multi-path network, and simultaneously testing all
possible paths is a known hard problem.

Tom

---

From: "Templin, Fred L" <[email-masked]>
Date: Fri, 7 Aug 2015 17:22:27 +0000

Hi Tom,

> From: Tom Herbert [mailto:[email-masked]]
> Sent: Friday, August 07, 2015 10:04 AM
> To: Templin, Fred L
> Cc: [email-masked]

That being the case, is sending isolated probe packets to
presumably detect a path MTU characteristic meaningless?

Thanks - Fred